<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	# meta

	$title = 'Регистрация » Мобильные WAP сайты';
	$description = system::check($config['description']);
	$keywords = system::check($config['keywords']);
	$tl = 'Регистрация';

	# guest

	system::access(false);

	# post

	if (isset($_POST['CFMS'])): 

	$login          = system::check($_POST['login']);		
	$password       = system::check($_POST['password']);	
	$email      	= system::check($_POST['email']);
	$captcha_code   = system::check($_POST['captcha_code']);	
	$captcha        = system::check($_SESSION['captcha']);		

	$check = DB :: $dbh -> querySingle("SELECT id FROM user WHERE lower(login) = ? LIMIT 1;", array(strtolower($login)));

	$check_email = DB :: $dbh -> querySingle("SELECT id FROM user WHERE lower(email) = ? LIMIT 1;", array(strtolower($email)));		
	
	if($config['reg'] == 0):	

	if (empty($check)): if (empty($check_email)):
	
	if (system::utf_strlen($login) > 2 && system::utf_strlen($login) < 33):	if (preg_match('|^[a-z0-9\-]+$|i', $login)):	
	
	if (system::utf_strlen($password) > 5 && system::utf_strlen($password)	< 33):
	
	if (system::utf_strlen($email) > 5 && system::utf_strlen($email) < 33):if (filter_var($email, FILTER_VALIDATE_EMAIL)):	
	
	if ($captcha == $captcha_code):	

	$CK = md5(md5($login.time()));

	$email_act = rand(00000,99999);	

	DB :: $dbh -> query("INSERT INTO user (login,password,email,CK,data_reg,data_aut,ip,ua,email_act) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?);",array($login,$password,$email,$CK,time(),time(),ip,ua,$email_act));

	setcookie("CK", $CK, time() + 2419200, "/", "".domain."");

	$message ='
	Регистрация в рейтинге сайтов '.domain.': Вы зapeгиcтриpoвaлись в рейтинге сайтов '.domain.'</br></br>
	<b>Ваши данные:</b></br>	
	- <b>Логин:</b> '.$login.'</br>
	- <b>Пароль:</b> '.$password.'</br></br>
	- <a href ="http://'.domain.'/act/'.$email_act.'"> Подтвердить почту</a></br></br>
	Не теряйте свои данные.</br>
	С уважением, администрация рейтинга '.domain.'.	
	';	

	mail::send($email, ''.domain.' Регистрация', ''.$message.'');

	system::header('/','Добро пожаловать!',1,1);	

	# error
	
	else: system::header('?','Не верный код с картинки'); endif;
	else: system::header('?','Запрещеные символы в E-mail'); endif;
	else: system::header('?','E-mail 6-32 cим.'); endif;
	else: system::header('?','Пароль 6-32 cим.'); endif;
	else: system::header('?','Запрещеные символы в логине'); endif;
	else: system::header('?','Логин 3-32 cим.'); endif;
	else: system::header('?','E-mail занят!'); endif;
	else: system::header('?','Логин занят!'); endif;
	else: system::header('?','Регистрация закрыта!'); endif;

	endif;

	# head

	require_once ( head );

	echo '
	<div class="touch">
	'.($config['reg'] == 1 ? '
	<div class="err">Регистрация закрыта, просим свои извинения!</div>
	':'
	<form action="" method="post">
	Введите логин:<br>
	<input name="login" type="text" value=""><br>
	Введите пароль:<br>
	<input name="password" type="password" value=""><br>
	Введите e-mail:<br>
	<input name="email" type="text" value=""><br>
	Введите код: <img src="'.site.'captcha" alt="captcha"><br>
	<input name="captcha_code" type="text" value=""><br>
	<input name="CFMS" type="submit" value="Регистрировать"></form><hr>
	<small>Все поля обязательны к заполнению.</small><br>
	<small>Регистрируясь, вы соглашаетесь с 
	<a href="'.site.'rules">ПРАВИЛАМИ</a> рейтинга.</small>
	').'
	</div>
	<a href="'.site.'" class="touch">« На главную</a>
	';

	# foot

	require_once ( foot ) ;
	
?>